# dask.dataframe.Series.to_string

Series.to_string(max_rows=5)

  Render a string representation of the Series.

  This docstring was copied from pandas.core.series.Series.to_string.

  Some inconsistencies with the Dask version may exist.

  Parameters:
    buf StringIO-like, optional (Not supported in Dask)

      Buffer to write to.

    na_rep str, optional (Not supported in Dask)

      String representation of NaN to use, default ‘NaN’.

    float_format one-parameter function, optional (Not supported in Dask)

      Formatter function to apply to columns’ elements if they are floats, default None.

    header bool, default True (Not supported in Dask)

      Add the Series header (index name).

    index bool, optional (Not supported in Dask)

      Add index (row) labels, default True.

    length bool, default False (Not supported in Dask)

      Add the Series length.

    dtype bool, default False (Not supported in Dask)

      Add the Series dtype.

    name bool, default False (Not supported in Dask)

      Add the Series name if not None.

    max_rows int, optional

      Maximum number of rows to show before truncating. If None, show all.

    min_rows int, optional (Not supported in Dask)

      The number of rows to display in a truncated repr (when number of rows is above max_rows).

  Returns:
    str or None

      String representation of Series if `buf=None`, otherwise None.

  Examples

      >>> ser = pd.Series([1, 2, 3]).to_string()
      >>> ser
      '0    1\n1    2\n2    3'